Bug 64098 - cannot create large partitions
cannot create large partitions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 13:08 EDT by Patrick C. F. Ernzer
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2002-04-25 13:08:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
[posted on behalf of a customer]
it seems that the amount of RAM anaconda needs when creating partitions is
related to the size of the partition being created. Creating a 36GB partition
with less then 384 MB RAM fails. Creating a 220GB partition with 2 GB RAM fails
as well


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot a kickstart install via PXE
2. installer gets to 'formating partitions'
3. inode table starts being written
4. libc.so.6 cannot be found after some time (dependant on partition and RAM size)
5. inode writing completes
6. mkfs fails as libraries cannot be found
	

Actual Results:  no filesystem created

Expected Results:  creation of filesystem and clean finish of installation.

Additional info:

I will ask the customer to put himself on the cc list, don't want to do this
without his approval.
Comment 1 Jeremy Katz 2002-04-25 14:12:52 EDT
What install method (nfs, ftp, etc)?  Also, is the proper ramdisk_size parameter
being passed to the kernel when it's being booted via pxe?
Comment 2 Michael Fulbright 2002-05-23 12:54:24 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 3 Red Hat Bugzilla 2006-02-21 13:48:47 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.